StackTrace::Auto(3)

NAME
StackTrace::Auto - a role for generating stack traces during instantiation

VERSION
version 1.001

SYNOPSIS
First, include StackTrace::Auto in a Moose or Mooclass...

  package Some::Class;
  # NOTE: Moo can also be used here instead of Moose
  use Moose;
  with 'StackTrace::Auto';

...then create an object of that class...

  my $obj = Some::Class->new;

...and now you have a stack trace for the object's creation.

  print $obj->stack_trace->as_string;

PERL VERSION
This library should run on perls released even a long time ago. It should work on any version of perl released in the last five years.

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

ATTRIBUTES

  stack_trace
This attribute will contain an object representing the stack at the point when the error was generated and thrown. It must be an object performing the "as_string" method.

  stack_trace_class
This attribute may be provided to use an alternate class for stack traces. The default is Devel::StackTrace.

In general, you will not need to think about this attribute.

  stack_trace_args
This attribute is an arrayref of arguments to pass when building the stack trace. In general, you will not need to think about it.

AUTHORS

•   Ricardo SIGNES <cpan@semiotic.systems>

•   Florian Ragwitz <rafl@debian.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2022 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.